This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 111699 - libaspell and libpspell are linked to libstdc++
libaspell and libpspell are linked to libstdc++
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: aspell (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-08 17:35 EST by dann
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-27 00:29:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description dann 2003-12-08 17:35:58 EST
Description of problem:

libaspell and libpspell are linked to libstdc++

Version-Release number of selected component (if applicable):

aspell-0.50.3-16

How reproducible:
Always

Steps to Reproduce:
1. ldd /usr/lib/libaspell.so.15
2.
3.
  
Actual results:
ldd /usr/lib/libaspell.so.15
        libstdc++.so.5 => /usr/lib/libstdc++.so.5 (0x4a48d000)
        libm.so.6 => /lib/i686/libm.so.6 (0x43971000)
        libc.so.6 => /lib/i686/libc.so.6 (0x4358b000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x4a483000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x80000000)

Expected results:
There is no need for libaspell and libpspell to be linked to
libstdc++, they work without that. 

Additional info:
Comment 1 Eido Inoue 2004-02-27 00:29:22 EST
A quick glance through the dynamic symbols of the shared object with
nm and C++ demangling shows tons of references to the stdc++ library,
including the vector templates, etc.

Note You need to log in before you can comment on or make changes to this bug.